## kdelibs-trinity 3.5.13.2

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( kdelibs )

set( PACKAGE kdelibs )
set( VERSION "3.5.13" )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckSymbolExists )
include( CheckFunctionExists )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckTypeSize )
include( CheckCSourceRuns )
include( CheckLibraryExists )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )
include( TDESetupPaths )


##### setup and find essential stuff ############

tde_setup_paths( )
find_package( TQt )


##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/qt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")


##### user requested options ####################

OPTION( WITH_ALL_OPTIONS "Enable all optional support" OFF )

OPTION( KDE_MALLOC "Use own malloc implementation" OFF )
OPTION( KDE_MALLOC_DEBUG "Enable debugging in fast malloc" OFF )
OPTION( KDE_MALLOC_FULL "Make alloc as fast as possible" OFF )

OPTION( WITH_ARTS "Build with aRts" ON )
OPTION( WITH_ALSA "Enable ALSA support" ON )
OPTION( WITH_LIBART "Enable libart support (for SVG icons)" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LIBIDN "Enable support for libidn" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SSL "Enable support for SSL" ON )
OPTION( WITH_CUPS "Enable CUPS support" ON )
OPTION( WITH_LUA "Enable LUA support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_TIFF "Enable tiff support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_JASPER "Enable jasper (jpeg2k) support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_OPENEXR "Enable openexr support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_UTEMPTER "Use utempter for utmp management" ${WITH_ALL_OPTIONS} )
OPTION( WITH_AVAHI "Enable AVAHI support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_PCRE "Enable pcre regex support for kjs" ON )
OPTION( WITH_INOTIFY "Enable inotify support for kio" ON )
OPTION( WITH_GAMIN "Enable FAM/GAMIN support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SUDO_KDESU_BACKEND "Use sudo as backend for kdesu (default is su)" OFF )
OPTION( WITH_LZMA "Enable support for LZMA/XZ" ${WITH_ALL_OPTIONS} )

OPTION( WITH_ASPELL "Enable aspell support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_HSPELL "Enable hspell support" ${WITH_ALL_OPTIONS} )

set( KDE4_DEFAULT_HOME ".kde" CACHE PATH "KDE4 home directory passed as KDEHOME to kde4 applications" )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:${PKGCONFIG_INSTALL_DIR}:${LIB_INSTALL_DIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )


##### check for CPU architecture ################

### FIXME fast malloc is also available on x86_64 architecture?
if( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  set( KDE_MALLOC_X86 1 )
  message( STATUS "Found x86 architecture" )
else( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  if( KDE_MALLOC )
    message( FATAL_ERROR "\nKDE fast malloc is available only on x86 architecture" )
  endif( KDE_MALLOC )
endif( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )


##### check for operating system ################

if( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
  set( KDEINIT_SETUID 1 )
  set( KDEINIT_OOM_PROTECT 1 )
endif( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )


##### check for compiler capabilities ###########

include( CheckCXXCompilerFlag )

check_cxx_compiler_flag( -Woverloaded-virtual WOVERLOADED_VIRTUAL )
if( WOVERLOADED_VIRTUAL )
  set( WOVERLOADED_VIRTUAL -Woverloaded-virtual )
endif( WOVERLOADED_VIRTUAL )

check_cxx_compiler_flag( -fno-builtin NO_BUILTIN )
if( NO_BUILTIN )

endif( NO_BUILTIN )


##### system checks #############################

check_include_file( "ltdl.h" HAVE_LTDL_H )
if( NOT HAVE_LTDL_H )
  tde_message_fatal( "ltdl.h are required, but not found on your system" )
endif( )

check_include_file( "alloca.h" HAVE_ALLOCA_H )
check_include_file( "arpa/nameser8_compat.h" HAVE_ARPA_NAMESER8_COMPAT_H )
check_include_file( "awe_voice.h" HAVE_AWE_VOICE_H )
check_include_file( "Carbon/Carbon.h" HAVE_CARBON_CARBON_H )
check_include_file( "crt_externs.h" HAVE_CRT_EXTERNS_H )
check_include_file( "ctype.h" HAVE_CTYPE_H )
check_include_file( "dirent.h" HAVE_DIRENT_H )
check_include_file( "dld.h" HAVE_DLD_H )
check_include_file( "dlfcn.h" HAVE_DLFCN_H )
check_include_file( "dl.h" HAVE_DL_H )
check_include_file( "float.h" HAVE_FLOAT_H )
check_include_file( "fstab.h" HAVE_FSTAB_H )
check_include_file( "ieeefp.h" HAVE_IEEEFP_H )
check_include_file( "inttypes.h" HAVE_INTTYPES_H )
check_include_file( "libutil.h" HAVE_LIBUTIL_H )
check_include_file( "limits.h" HAVE_LIMITS_H )
check_include_file( "linux/awe_voice.h" HAVE_LINUX_AWE_VOICE_H )
check_include_file( "locale.h" HAVE_LOCALE_H )
check_include_file( "machine/soundcard.h" HAVE_MACHINE_SOUNDCARD_H )
check_include_file( "malloc.h" HAVE_MALLOC_H )
check_include_file( "memory.h" HAVE_MEMORY_H )
check_include_file( "mntent.h" HAVE_MNTENT_H )
check_include_file( "ndir.h" HAVE_NDIR_H )
check_include_file( "netinet/in.h" HAVE_NETINET_IN_H )
check_include_file( "net/if.h" HAVE_NET_IF_H )
check_include_file( "paths.h" HAVE_PATHS_H )
check_include_file( "pty.h" HAVE_PTY_H )
check_include_file( "stdint.h" HAVE_STDINT_H )
check_include_file( "stdio.h" HAVE_STDIO_H )
check_include_file( "stdlib.h" HAVE_STDLIB_H )
check_include_file( "strings.h" HAVE_STRINGS_H )
check_include_file( "string.h" HAVE_STRING_H )
check_include_file( "sysent.h" HAVE_SYSENT_H )
check_include_file( "sys/acl.h" HAVE_SYS_ACL_H )
check_include_file( "sys/bitypes.h" HAVE_SYS_BITYPES_H )
check_include_file( "sys/dir.h" HAVE_SYS_DIR_H )
check_include_file( "sys/filio.h" HAVE_SYS_FILIO_H )
check_include_file( "sys/mman.h" HAVE_SYS_MMAN_H )
check_include_file( "sys/mntent.h" HAVE_SYS_MNTENT_H )
check_include_file( "sys/mnttab.h" HAVE_SYS_MNTTAB_H )
check_include_file( "sys/mount.h" HAVE_SYS_MOUNT_H )
check_include_file( "sys/ndir.h" HAVE_SYS_NDIR_H )
check_include_file( "sys/param.h" HAVE_SYS_PARAM_H )
check_include_file( "sys/prctl.h" HAVE_SYS_PRCTL_H )
check_include_file( "sys/select.h" HAVE_SYS_SELECT_H )
check_include_file( "sys/soundcard.h" HAVE_SYS_SOUNDCARD_H )
check_include_file( "sys/stat.h" HAVE_SYS_STAT_H )
check_include_file( "sys/stropts.h" HAVE_SYS_STROPTS_H )
check_include_file( "sys/types.h" HAVE_SYS_TYPES_H )
check_include_file( "sys/ucred.h" HAVE_SYS_UCRED_H )
check_include_file( "sys/xattr.h" HAVE_SYS_XATTR_H )
check_include_file( "termios.h" HAVE_TERMIOS_H )
check_include_file( "termio.h" HAVE_TERMIO_H )
check_include_file( "unistd.h" HAVE_UNISTD_H )
check_include_file( "util.h" HAVE_UTIL_H )
check_include_file( "values.h" HAVE_VALUES_H )

# FIXME I'm not sure if test TIME_WITH_SYS_TIME are correct
check_include_file( "sys/time.h" HAVE_SYS_TIME_H )
check_include_file( "time.h" HAVE_TIME_H )
if( HAVE_SYS_TIME_H AND HAVE_TIME_H )
  set( TIME_WITH_SYS_TIME 1 )
endif( HAVE_SYS_TIME_H AND HAVE_TIME_H )

if( HAVE_SYS_ACL_H )
  set( USE_POSIX_ACL 1 )
endif( HAVE_SYS_ACL_H )

check_include_file( "acl/libacl.h" HAVE_NON_POSIX_ACL_EXTENSIONS )

check_include_file( "valgrind/memcheck.h" HAVE_VALGRIND_MEMCHECK_H )
check_include_file( "values.h" HAVE_VALUES_H )
check_include_file( "X11/extensions/shape.h" HAVE_X11_EXTENSIONS_SHAPE_H )
check_include_file( "/usr/src/sys/gnu/i386/isa/sound/awe_voice.h" HAVE__USR_SRC_SYS_GNU_I386_ISA_SOUND_AWE_VOICE_H )
check_include_file( "/usr/src/sys/i386/isa/sound/awe_voice.h" HAVE__USR_SRC_SYS_I386_ISA_SOUND_AWE_VOICE_H )

check_function_exists( random HAVE_RANDOM )
check_symbol_exists( random "stdlib.h" HAVE_RANDOM_PROTO )

check_function_exists( srandom HAVE_SRANDOM )
check_symbol_exists( srandom "stdlib.h" HAVE_SRANDOM_PROTO )

check_function_exists( seteuid HAVE_SETEUID )
check_function_exists( setegid HAVE_SETEGID )

check_function_exists( gethostname HAVE_GETHOSTNAME )
check_symbol_exists( gethostname "unistd.h" HAVE_GETHOSTNAME_PROTO )

check_function_exists( vsnprintf HAVE_VSNPRINTF )
check_function_exists( snprintf HAVE_SNPRINTF )

check_function_exists( setenv HAVE_SETENV )
check_symbol_exists( setenv "stdlib.h" HAVE_SETENV_PROTO )

check_function_exists( unsetenv HAVE_UNSETENV )
check_symbol_exists( unsetenv "stdlib.h" HAVE_UNSETENV_PROTO )

check_function_exists( mkdtemp HAVE_MKDTEMP )
check_symbol_exists( mkdtemp "stdlib.h" HAVE_MKDTEMP_PROTO )

check_function_exists( mkstemp HAVE_MKSTEMP )
check_symbol_exists( mkstemp "stdlib.h" HAVE_MKSTEMP_PROTO )

check_function_exists( mkstemps HAVE_MKSTEMPS )
check_symbol_exists( mkstemps "stdlib.h" HAVE_MKSTEMPS_PROTO )

check_function_exists( initgroups HAVE_INITGROUPS )
check_symbol_exists( initgroups "grp.h" HAVE_INITGROUPS_PROTO )

check_function_exists( strlcat HAVE_STRLCAT )
check_symbol_exists( strlcat "string.h" HAVE_STRLCAT_PROTO )

check_function_exists( strlcpy HAVE_STRLCPY )
check_symbol_exists( strlcpy "string.h" HAVE_STRLCPY_PROTO )

check_symbol_exists( S_ISSOCK "sys/stat.h" HAVE_S_ISSOCK )

check_symbol_exists( gethostbyname2 "netdb.h" HAVE_GETHOSTBYNAME2 )
check_symbol_exists( gethostbyname2_r "netdb.h" HAVE_GETHOSTBYNAME2_R )
check_symbol_exists( gethostbyname_r "netdb.h" HAVE_GETHOSTBYNAME_R )
check_symbol_exists( gai_strerror "sys/types.h;sys/socket.h;netdb.h" HAVE_GAI_STRERROR )
check_symbol_exists( getaddrinfo "sys/types.h;sys/socket.h;netdb.h" HAVE_GETADDRINFO )

check_function_exists( usleep HAVE_USLEEP )
check_symbol_exists( usleep "unistd.h" HAVE_USLEEP_PROTO )

check_function_exists( getmntinfo HAVE_GETMNTINFO )
check_function_exists( getnameinfo HAVE_GETNAMEINFO )
check_function_exists( getpagesize HAVE_GETPAGESIZE )
check_function_exists( getpeereid HAVE_GETPEEREID )
check_function_exists( getpeername HAVE_GETPEERNAME )
check_function_exists( getprotobyname_r HAVE_GETPROTOBYNAME_R )
check_function_exists( getpt HAVE_GETPT )
check_function_exists( getservbyname_r HAVE_GETSERVBYNAME_R )
check_function_exists( getservbyport_r HAVE_GETSERVBYPORT_R )
check_function_exists( getsockname HAVE_GETSOCKNAME )
check_function_exists( getsockopt HAVE_GETSOCKOPT )
check_function_exists( gettimeofday HAVE_GETTIMEOFDAY )
check_function_exists( grantpt HAVE_GRANTPT )
check_function_exists( if_nametoindex HAVE_IF_NAMETOINDEX )
check_function_exists( index HAVE_INDEX)
check_function_exists( inet_ntop HAVE_INET_NTOP )
check_function_exists( inet_pton HAVE_INET_PTON )
check_function_exists( setfsent HAVE_SETFSENT )
check_function_exists( setgroups HAVE_SETGROUPS )
check_function_exists( setlocale HAVE_SETLOCALE )
check_function_exists( setmntent HAVE_SETMNTENT )
check_function_exists( setpriority HAVE_SETPRIORITY )
check_function_exists( isnan HAVE_FUNC_ISNAN )
check_function_exists( _finite HAVE_FUNC__FINITE )
check_function_exists( finite HAVE_FUNC_FINITE )
check_function_exists( isinf HAVE_FUNC_ISINF )
check_function_exists( freeaddrinfo HAVE_FREEADDRINFO )
check_function_exists( strtoll HAVE_STRTOLL )
check_function_exists( socket HAVE_SOCKET )
check_function_exists( strfmon HAVE_STRFMON )
check_function_exists( stpcpy HAVE_STPCPY )
check_function_exists( readdir_r HAVE_READDIR_R )
check_function_exists( tcgetattr HAVE_TCGETATTR )
check_function_exists( tcsetattr HAVE_TCSETATTR )
check_function_exists( strcasecmp HAVE_STRCASECMP )

=== kdecore/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( malloc )
add_subdirectory( network )
add_subdirectory( kconfig_compiler )

if( WITH_LIBART )
  add_subdirectory( svgicons )
  set( KDESVGICONS kdesvgicons-static )
endif( WITH_LIBART )


include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/network
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/libltdl
  ${CMAKE_SOURCE_DIR}/kdefx
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio/kio
  ${LIBART_INCLUDE_DIRS}
  ${LIBIDN_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${LIBIDN_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kconfig.h kconfigskeleton.h kconfigdata.h ksimpleconfig.h
    kconfigdialogmanager.h kconfigbase.h kdesktopfile.h
    kurl.h ksock.h kaboutdata.h kcmdlineargs.h kconfigbackend.h
    kapp.h kapplication.h kuniqueapp.h kuniqueapplication.h
    kcharsets.h kdeversion.h kpty.h kprocess.h kprocctrl.h
    klocale.h kicontheme.h kiconloader.h kdebug.h kwinmodule.h
    kwin.h krootprop.h kshortcut.h kkeynative.h kaccel.h
    kglobalaccel.h kstdaccel.h kshortcutlist.h kcatalogue.h
    kregexp.h kcompletion.h kstringhandler.h kstddirs.h
    kstandarddirs.h kglobal.h kglobalsettings.h ksharedptr.h
    kallocator.h kvmallocator.h kcrash.h krfcdate.h kinstance.h
    kpalette.h kipc.h klibloader.h ktempfile.h ksavefile.h
    krandomsequence.h knotifyclient.h kiconeffect.h kaudioplayer.h
    kdcoppropertyproxy.h netwm.h kaccelmanager.h netwm_def.h
    kpixmapprovider.h kunload.h kstaticdeleter.h kextsock.h
    kextendedsocket.h ksockaddr.h kprocio.h kasyncio.h kbufferedio.h
    kurldrag.h kmimesourcefactory.h kmdcodec.h ksocks.h ksycoca.h
    ksycocaentry.h ksycocatype.h kxmessages.h kstartupinfo.h
    klargefile.h kmultipledrag.h kgenericfactory.h kgenericfactory.tcc
    ktypelist.h ksortablevaluelist.h kdebugclasses.h kclipboard.h
    kcalendarsystem.h kcalendarsystemfactory.h kmacroexpander.h
    kmanagerselection.h kmountpoint.h kuser.h klockfile.h
    kidna.h ktempdir.h kshell.h fixx11h.h kxerrorhandler.h
    kdelibs_export.h kde_file.h ktimezones.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdemacros.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES all_languages.desktop
  DESTINATION ${LOCALE_INSTALL_DIR} RENAME all_languages )

install( FILES 40.colors Web.colors Royal.colors Rainbow.colors
  DESTINATION ${CONFIG_INSTALL_DIR}/colors )

install( FILES kdebug.areas kdebugrc language.codes
  DESTINATION ${CONFIG_INSTALL_DIR} )

install( FILES kmdcodec_compat.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kio RENAME kmdcodec.h )

install( FILES eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/knotify )

##### libkdecore ################################

set( target kdecore )

set( ${target}_SRCS
  libintl.cpp kapplication.cpp kdebug.cpp netwm.cpp
  kconfigbase.cpp kconfig.cpp ksimpleconfig.cpp kconfigbackend.cpp
  kmanagerselection.cpp kdesktopfile.cpp kstandarddirs.cpp
  ksock.cpp kpty.cpp kprocess.cpp kprocctrl.cpp klocale.cpp
  krfcdate.cpp kiconeffect.cpp kicontheme.cpp kiconloader.cpp
  kwin.cpp kwinmodule.cpp krootprop.cpp kcharsets.cpp
  kckey.cpp kshortcut.cpp kkeynative_x11.cpp kkeyserver_x11.cpp
  kaccelaction.cpp kshortcutmenu.cpp kaccelbase.cpp kaccel.cpp
  kglobalaccel_x11.cpp kglobalaccel.cpp kstdaccel.cpp kshortcutlist.cpp
  kcrash.cpp kurl.cpp kregexp.cpp kglobal.cpp kglobalsettings.cpp
  kallocator.cpp kvmallocator.cpp kmimesourcefactory.cpp
  kinstance.cpp kpalette.cpp kipc.cpp klibloader.cpp ktempfile.cpp
  kuniqueapplication.cpp kaccelmanager.cpp ksavefile.cpp
  krandomsequence.cpp kstringhandler.cpp kcompletion.cpp
  kcmdlineargs.cpp kaboutdata.cpp kcompletionbase.cpp knotifyclient.cpp
  kaudioplayer.cpp kdcoppropertyproxy.cpp ksockaddr.cpp
  kextsock.cpp netsupp.cpp kprocio.cpp kbufferedio.cpp
  kpixmapprovider.cpp kurldrag.cpp kmdcodec.cpp ksocks.cpp
  fakes.c vsnprintf.c ksycoca.cpp ksycocadict.cpp ksycoca.skel
  ksycocafactory.cpp kxmessages.cpp kstartupinfo.cpp
  kcatalogue.cpp kasyncio.cpp kmultipledrag.cpp kstaticdeleter.cpp
  kappdcopiface.cpp kappdcopiface.skel kclipboard.cpp
  kcheckaccelerators.cpp kdeversion.cpp kdebugdcopiface.cpp
  kdebugdcopiface.skel kcalendarsystem.cpp kcalendarsystemgregorian.cpp
  kcalendarsystemhijri.cpp kcalendarsystemhebrew.cpp
  kcalendarsystemfactory.cpp kmacroexpander.cpp kidna.cpp
  ktempdir.cpp kshell.cpp kmountpoint.cpp kcalendarsystemjalali.cpp
  kprotocolinfo_kdecore.cpp kprotocolinfofactory.cpp kxerrorhandler.cpp
  kuser.cpp kconfigskeleton.cpp kconfigdialogmanager.cpp klockfile.cpp
  kqiodevicegzip_p.cpp ktimezones.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  EMBED kdecorenetwork-static
  LINK ltdlc-static ${KDESVGICONS} DCOP-shared kdefx-shared ${ZLIB_LIBRARIES} ${LIBIDN_LIBRARIES} ${XCOMPOSITE_LIBRARIES} ICE SM
  DEPENDENCIES dcopidl dcopidl2cpp
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kdefakes_nonpic ###########################

set( target kdefakes_nonpic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)

##### kdefakes_pic ##############################

set( target kdefakes_pic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC_PIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libkdefakes ###############################

set( target kdefakes )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kde-config ################################

# FIXME still need some research and improvements
configure_file( kde-config.cpp.cmake kde-config.cpp @ONLY )


tde_add_executable( kde-config
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/kde-config.cpp
  LINK kdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kgrantpty #################################

# FIXME there is something named KDE_USE_FPIE, I'm not sure what is this
#set_target_properties( kgrantpty PROPERTIES COMPILE_FLAGS ${KDE_USE_FPIE} )
#set_target_properties( kgrantpty PROPERTIES LINK_FLAGS ${KDE_USE_FPIE} )

tde_add_executable(kgrantpty SETUID
  SOURCES kgrantpty.c
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kdetcompmgr #################################

tde_add_executable( kdetcompmgr
  SOURCES kdetcompmgr.cpp
  LINK kdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kimgio/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${USE_EXCEPTIONS} )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kimg_eps ##################################

set( target kimg_eps )

tde_add_kpart( ${target}
  SOURCES eps.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_xview ################################

set( target kimg_xview )

tde_add_kpart( ${target}
  SOURCES xview.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_tiff #################################

if( TIFF_FOUND )
  set( target kimg_tiff )
  tde_add_kpart( ${target}
    SOURCES tiffr.cpp
    LINK kdecore-shared ${TIFF_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
  install( FILES tiff.kimgio DESTINATION ${SERVICES_INSTALL_DIR} )
endif( TIFF_FOUND )


##### kimg_ico ##################################

set( target kimg_ico )

tde_add_kpart( ${target}
  SOURCES ico.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_jp2 ##################################

if( JASPER_FOUND )
  set( target kimg_jp2 )
  tde_add_kpart( ${target}
    SOURCES jp2.cpp
    LINK kdecore-shared ${JASPER_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
  install( FILES jp2.kimgio DESTINATION ${SERVICES_INSTALL_DIR} )
endif( JASPER_FOUND )


##### kimg_pcx ##################################

set( target kimg_pcx )
tde_add_kpart( ${target}
  SOURCES pcx.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_tga ##################################

set( target kimg_tga )
tde_add_kpart( ${target}
  SOURCES tga.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_rgb ##################################

set( target kimg_rgb )
tde_add_kpart( ${target}
  SOURCES rgb.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_xcf ##################################

set( target kimg_xcf )
tde_add_kpart( ${target}
  SOURCES xcf.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_dds ##################################

set( target kimg_dds )
tde_add_kpart( ${target}
  SOURCES dds.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_exr ##################################

if( OPENEXR_FOUND )
  set( target kimg_exr )
  tde_add_kpart( ${target}
    SOURCES exr.cpp
    LINK kdecore-shared ${OPENEXR_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
  # FIXME COMPILE_FLAGS must be written a little better
  STRING(REGEX REPLACE ";" " -I" OPENEXR_INCLUDE_FLAGS "-I${OPENEXR_INCLUDE_DIRS}")
  set_target_properties( ${target}-module PROPERTIES COMPILE_FLAGS "${OPENEXR_INCLUDE_FLAGS}" )
  install( FILES exr.kimgio DESTINATION ${SERVICES_INSTALL_DIR} )
endif( OPENEXR_FOUND )


##### kimg_psd ##################################

set( target kimg_psd )
tde_add_kpart( ${target}
  SOURCES psd.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

##### kimg_hdr ##################################

set( target kimg_hdr )
tde_add_kpart( ${target}
  SOURCES hdr.cpp
  LINK kdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES
    png.kimgio xpm.kimgio bmp.kimgio pbm.kimgio pgm.kimgio
    ppm.kimgio xbm.kimgio jpeg.kimgio xv.kimgio eps.kimgio
    ico.kimgio gif.kimgio pcx.kimgio tga.kimgio rgb.kimgio
    xcf.kimgio dds.kimgio mng.kimgio psd.kimgio hdr.kimgio
  DESTINATION ${SERVICES_INSTALL_DIR} )

=== kio/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -D_LARGEFILE64_SOURCE=1
)

add_subdirectory( kssl )
add_subdirectory( kio )
add_subdirectory( bookmarks )
add_subdirectory( kfile )
add_subdirectory( pics )
add_subdirectory( kioexec )
add_subdirectory( httpfilter )
add_subdirectory( misc )
add_subdirectory( kpasswdserver )
add_subdirectory( tests )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES magic DESTINATION ${MIME_INSTALL_DIR} )

install( FILES
    application.desktop kurifilterplugin.desktop
    kcomprfilter.desktop kscan.desktop kdatatool.desktop
    kfileplugin.desktop kcmodule.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )

install( FILES kioslave.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( PROGRAMS useragent.pl proxytype.pl DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( FILES renamedlgplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES kpasswdserver.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )
install( FILES data.protocol DESTINATION ${SERVICES_INSTALL_DIR} )

if( HAVE_NON_POSIX_ACL_EXTENSIONS )
  set( ACL_LIBRARIES acl )
endif( HAVE_NON_POSIX_ACL_EXTENSIONS )


##### libkio ####################################

set( target kio )

configure_file( ${CMAKE_SOURCE_DIR}/cmake/modules/template_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( ${target} SHARED
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp
  VERSION 4.2.0
  EMBED kssl-static kiocore-static ksycoca-static kbookmarks-static kfile-static
  LINK kdeui-shared kdesu-shared kwalletclient-shared ${ACL_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kjs/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kdecore
  ${LIBPCRE_INCLUDEDIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${LIBPCRE_LIBDIR}
)


##### headers ###################################

install( FILES
    value.h types.h object.h interpreter.h operations.h
    ustring.h lookup.h ${CMAKE_CURRENT_BINARY_DIR}/global.h
    identifier.h property_map.h reference.h reference_list.h
    completion.h scope_chain.h list.h simple_number.h function.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kjs )


##### libkjs ####################################

set( target kjs )

set( ${target}_SRCS
  ustring.cpp date_object.cpp collector.cpp nodes.cpp
  grammar.cpp lexer.cpp lookup.cpp operations.cpp
  regexp.cpp function_object.cpp string_object.cpp
  bool_object.cpp number_object.cpp internal.cpp
  array_object.cpp math_object.cpp object_object.cpp
  regexp_object.cpp error_object.cpp function.cpp
  debugger.cpp value.cpp list.cpp object.cpp
  interpreter.cpp property_map.cpp nodes2string.cpp
  identifier.cpp reference.cpp reference_list.cpp
  scope_chain.cpp dtoa.cpp
)

tde_add_luts(
  array_object.cpp math_object.cpp date_object.cpp
  number_object.cpp string_object.cpp
)

tde_add_lut( keywords.table lexer.lut.h lexer.cpp )

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 1.2.0
  LINK kdecore-shared ${LIBPCRE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kate/data/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

install( FILES
    katepart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES
    katepartui.rc katepartreadonlyui.rc
  DESTINATION ${DATA_INSTALL_DIR}/katepart )

install( FILES
    katesyntaxhighlightingrc katefiletyperc
  DESTINATION ${CONFIG_INSTALL_DIR} )

install( FILES
    language.dtd syntax.template cpp.xml c.xml html.xml
    kbasic.xml objectivec.xml changelog.xml ada.xml
    css.xml perl.xml php.xml xml.xml java.xml rpmspec.xml
    sql.xml sql-mysql.xml sql-postgresql.xml vhdl.xml
    diff.xml bash.xml latex.xml postscript.xml ruby.xml
    rhtml.xml desktop.xml eiffel.xml pascal.xml sather.xml
    python.xml makefile.xml ferite.xml scheme.xml matlab.xml
    tcl.xml ilerpg.xml verilog.xml javascript.xml sml.xml
    winehq.xml cs.xml sgml.xml idconsole.xml xmldebug.xml
    fortran.xml haskell.xml literate-haskell.xml r.xml
    gnuassembler.xml mab.xml mason.xml idl.xml prolog.xml
    rsiidl.xml coldfusion.xml picsrc.xml uscript.xml lpc.xml
    velocity.xml sci.xml ldif.xml inform.xml xharbour.xml
    yacas.xml component-pascal.xml asm6502.xml gdl.xml
    bibtex.xml d.xml vrml.xml rexx.xml cue.xml progress.xml
    e.xml sieve.xml modula-2.xml awk.xml cisco.xml doxygen.xml
    lua.xml pike.xml debianchangelog.xml debiancontrol.xml
    fgl-4gl.xml fgl-per.xml alert.xml gettext.xml commonlisp.xml
    clipper.xml povray.xml euphoria.xml mup.xml jsp.xml
    ocaml.xml lex.xml yacc.xml cg.xml ahdl.xml ansic89.xml
    tibasic.xml purebasic.xml mips.xml logtalk.xml txt2tags.xml
    xslt.xml stata.xml glsl.xml lilypond.xml abc.xml asp.xml
    asm-avr.xml rib.xml cmake.xml octave.xml javadoc.xml
    cgis.xml spice.xml nasm.xml mediawiki.xml apache.xml
    m3u.xml ini.xml fstab.xml actionscript.xml abap.xml
    ansys.xml asn1.xml asterisk.xml bmethod.xml ddoc.xml
    djangotemplate.xml doxygenlua.xml dtd.xml email.xml
    erlang.xml freebasic.xml gap.xml json.xml maxima.xml
    mergetagtext.xml modelica.xml monobasic.xml nemerle.xml
    noweb.xml objectivecpp.xml opal.xml pgn.xml rapidq.xml
    scala.xml sisu.xml systemc.xml texinfo.xml xorg.xml
    xul.xml yaml.xml zonnon.xml
    alert_indent.xml ample.xml asm-dsp56k.xml asm-m68k.xml
    clojure.xml coffee.xml crk.xml dosbat.xml fsharp.xml
    gdb.xml glosstex.xml go.xml grammar.xml jam.xml m4.xml
    mel.xml oors.xml pango.xml qmake.xml qml.xml relaxng.xml
    relaxngcompact.xml rest.xml sed.xml systemverilog.xml
    tads3.xml tcsh.xml valgrind-suppression.xml vera.xml
    wml.xml zsh.xml
    ${CMAKE_CURRENT_BINARY_DIR}/html-php.xml
    ${CMAKE_CURRENT_BINARY_DIR}/css-php.xml
    ${CMAKE_CURRENT_BINARY_DIR}/javascript-php.xml
  DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax )


##### generate php headers ######################

add_custom_command( OUTPUT html-php.xml
  COMMAND perl ARGS generate-php.pl < html.xml > ${CMAKE_CURRENT_BINARY_DIR}/html-php.xml
  DEPENDS html.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_command( OUTPUT css-php.xml
  COMMAND perl ARGS generate-php.pl < css.xml > ${CMAKE_CURRENT_BINARY_DIR}/css-php.xml
  DEPENDS css.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_command( OUTPUT javascript-php.xml
  COMMAND perl ARGS generate-php.pl < javascript.xml > ${CMAKE_CURRENT_BINARY_DIR}/javascript-php.xml
  DEPENDS javascript.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_target( php-headers ALL
  DEPENDS html-php.xml css-php.xml javascript-php.xml )

=== kio/kio/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kio/kssl
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore/network
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio
  ${CMAKE_SOURCE_DIR}/kio/kssl
  ${CMAKE_SOURCE_DIR}/interfaces
  ${GAMIN_INCLUDEDIR}
)

link_directories(
  ${GAMIN_LIBDIR}
)

##### headers ###################################

install( FILES
    kservicetype.h kmimetype.h kmimemagic.h kservice.h
    krun.h kdirwatch.h kautomount.h kuserprofile.h
    kshred.h kar.h ktar.h kzip.h ktrader.h kurifilter.h
    kurlcompletion.h kshellcompletion.h kfileitem.h
    kfileshare.h ksambashare.h knfsshare.h kdirlister.h
    kservicegroup.h kimageio.h kdirnotify.h kdirnotify_stub.h
    kurlpixmapprovider.h kprotocolinfo.h kprotocolmanager.h
    kfilterbase.h kfilterdev.h kemailsettings.h kscan.h
    kdatatool.h karchive.h kfilefilter.h kfilemetainfo.h
    renamedlgplugin.h kmimetyperesolver.h kdcopservicestarter.h
    kremoteencoding.h kmimetypechooser.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )

# FIXME seems that ACL is no longer optional
#if( USE_POSIX_ACL )
  install( FILES kacl.h DESTINATION ${INCLUDE_INSTALL_DIR} )
#endif( USE_POSIX_ACL )

install( FILES
    connection.h slaveinterface.h slave.h slaveconfig.h
    sessiondata.h global.h passdlg.h netaccess.h job.h
    scheduler.h jobclasses.h paste.h slavebase.h
    progressbase.h defaultprogress.h statusbarprogress.h
    tcpslavebase.h forwardingslavebase.h observer.h
    chmodjob.h kmdbase.h authinfo.h ioslave_defaults.h
    http_slave_defaults.h previewjob.h thumbcreator.h
    metainfojob.h davjob.h renamedlg.h skipdlg.h
    ${CMAKE_CURRENT_BINARY_DIR}/uiserver_stub.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kio )


##### kiocore ###################################

set( target kiocore )

set( ${target}_SRCS
  authinfo.cpp kshred.cpp kprotocolmanager.cpp slave.cpp
  slaveinterface.cpp observer.stub sessiondata.cpp
  scheduler.cpp connection.cpp job.cpp global.cpp
  slaveconfig.cpp kurlpixmapprovider.cpp netaccess.cpp
  paste.cpp pastedialog.cpp kmimemagic.cpp tcpslavebase.cpp
  slavebase.cpp passdlg.cpp forwardingslavebase.cpp
  progressbase.cpp defaultprogress.cpp statusbarprogress.cpp
  kdirnotify.cpp kdirnotify.skel kdirnotify_stub.cpp
  observer.cpp ../misc/uiserver.stub observer.skel kemailsettings.cpp
  kprotocolinfo.cpp renamedlg.cpp skipdlg.cpp kremoteencoding.cpp
  kmimetypechooser.cpp
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  DEPENDENCIES dcopidl
)


##### ksycoca ###################################

set( target ksycoca )

set( ${target}_SRCS
  kdirwatch.cpp kfileshare.cpp ksambashare.cpp
  knfsshare.cpp ktrader.cpp ktraderparse.cpp
  ktraderparsetree.cpp kservicetypefactory.cpp
  kservicetype.cpp kmimetype.cpp kservicegroup.cpp
  kservice.cpp kservicefactory.cpp kuserprofile.cpp
  kservicegroupfactory.cpp kurifilter.cpp kfilterbase.cpp
  kfilterdev.cpp kshellcompletion.cpp kurlcompletion.cpp
  kautomount.cpp krun.cpp kfileitem.cpp kdirlister.cpp
  kimageio.cpp yacc.c lex.c chmodjob.cpp kscan.cpp
  kar.cpp ktar.cpp kzip.cpp previewjob.cpp metainfojob.cpp
  davjob.cpp kdatatool.cpp karchive.cpp kfilefilter.cpp
  kfilemetainfo.cpp kdcopservicestarter.cpp dataslave.cpp
  dataprotocol.cpp
)

# FIXME seems that ACL is no longer optional
#if( USE_POSIX_ACL )
  set( ${target}_SRCS ${${target}_SRCS} kacl.cpp posixacladdons.cpp )
#endif( USE_POSIX_ACL )

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK ${GAMIN_LIBRARIES}
)

=== debian/changelog ===
kdelibs-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 08:19:35 +0200

kdelibs-trinity (4:3.5.12-0ubuntu6+r1116280) lucid; urgency=low

  * Automated svn build

 -- root <kb9vqf@pearsoncomputing.net>  Sun, 18 Apr 2010 21:42:57 -0500

kdelibs-trinity (4:3.5.10-0ubuntu16) karmic; urgency=low

  * Microsoft docx mimetypes handled properly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 09 Dec 2009 21:46:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu14) karmic; urgency=low

  * Trinity rebranding
  * Bug report redirection to active bugtracker

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 08 Dec 2009 12:17:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu12) karmic; urgency=low

  * Repaired Konqueror JavaScript crash

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 25 Oct 2009 02:44:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu10) karmic; urgency=low

  * Added a script to generate device links /dev/cdrom and /dev/dvd if they do not already exist

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu9) karmic; urgency=low

  * Fixed make_driver_db_cups path

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu7) karmic; urgency=low

  * Fixed dependency on kdescripts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 07 Aug 2009 14:14:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu6) karmic; urgency=low

  * Library paths fixed

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 06 Aug 2009 14:56:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid7) intrepid; urgency=low

  * Updated kate syntax editor files (closes Bug #91)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Jun 2009 16:39:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid6) intrepid; urgency=low

  * Added proper KDE4 application labelling and starting to Trinity menu

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Mar 2009 00:13:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid5) intrepid; urgency=low

  * Added conflict and provide for kdelibs-data << 4:4.0  (Closes bug #61)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid4) intrepid; urgency=low

  * Repaired kcmshell root environment default data directory

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid1) intrepid; urgency=low

  * Repaired kcmshell root environment

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 09 Mar 2009 13:21:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid10) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 25 Feb 2009 15:12:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid5) intrepid; urgency=low

  * Fixed kde data directory default

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Jan 2009 16:55:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid4) intrepid; urgency=low

  * Added /usr/trinity/lib to ld.so.conf.d

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 Dec 2008 17:51:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid1) intrepid; urgency=low

  * Fixed build-depends

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Dec 2008 10:37:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu1~intrepid9) intrepid; urgency=low

  * Linked several core KDE libraries to /usr/lib

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Changed kstartupconfig default HOME of /.kde to /.trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Add -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

kdelibs (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * Upstream bug fix release (LP: #261366)
    - Dropped kubuntu_98_kate_paste_cursor.diff applied upstream
    - Dropped kubuntu_9903_kinit_integer_overflow.diff applied upstream

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Aug 2008 23:37:18 -0400

kdelibs (4:3.5.9-0ubuntu7.1) hardy-security; urgency=low

  * SECURITY UPDATE: integer overflow in start_kdeinit. The start_kdeinit
    processing of user-influenceable input is faulty.  A local user
    might be able to send unix signals to other processes, cause
    a denial of service or even possibly execute arbitrary code.
  * Add kubuntu_9903_kinit_integer_overflow.diff, edits
    kinit/start_kdeinit.c, patch from upstream KDE
  * References
    http://www.kde.org/info/security/advisory-20080426-2.txt
    CVE-2008-1671

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Apr 2008 16:01:13 +0100

kdelibs (4:3.5.9-0ubuntu7) hardy; urgency=low

  * Update debian/patches/kubuntu_55_printer_sharing.diff to run
    system-config-printer-kde to let users enable printer sharing
    rather than the old cups settings scripts.  Closes LP: #208381

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2008 00:03:28 +0100

kdelibs (4:3.5.9-0ubuntu6) hardy; urgency=low

  * Renamed kubuntu_99_system_config_printer_applet.diff to
    kubuntu_9901_system_config_printer_applet.diff
  * Added kubuntu_9902_kde4_kded_blacklist_modules.diff, don't autoload
    every kded modules in KDE4, replace kubuntu_9924_kde4_no_medianotifier.diff
    from kdebase

 -- Guillaume Martres <smarter@ubuntu.com>  Fri, 28 Mar 2008 19:49:46 +0100



=== debian/control ===
Source: kdelibs-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 5.0.31), quilt, autotools-dev,
 binutils (>= 2.14.90.0.7), docbook-to-man, gawk, gettext,
 libart-2.0-dev (>= 2.3.17), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev, libldap2-dev,
 liblualib50-dev, libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libavahi-client-dev (>= 0.4),
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 sharutils, texinfo, libogg-dev, libtqtinterface-dev,
 gettext-kde, lsb-release, base-files, sudo,
 cmake, libltdl-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: kdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-kde3 (<< 4:3.5.13)
Breaks: kdelibs-kde3 (<< 4:3.5.13)
Provides: kdelibs
Conflicts: kdelibs
Depends: kdelibs4c2a-trinity (>= ${Source-Version}),
 kdelibs-data-trinity (>= ${Source-Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: kdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-kde3 (<< 4:3.5.13)
Breaks: kdelibs-data-kde3 (<< 4:3.5.13)
Depends: hicolor-icon-theme
Provides: kdelibs-data
Conflicts: kdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4c2a-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:3.5.13)
Breaks: kdelibs4c2a-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, kdelibs-data-trinity,
 kdelibs-data-trinity, perl, xbase-clients, sudo
Recommends: xdg-user-dirs
Suggests: fam, perl-suid
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in kdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-kde3-dev (<< 4:3.5.13)
Breaks: kdelibs4-kde3-dev (<< 4:3.5.13)
Depends: kdelibs4c2a-trinity (= ${Source-Version}), libart-2.0-dev (>= 2.3.17),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre3-dev, liblualib50-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libtqtinterface-dev,
 gettext-kde
Provides: kdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4-trinity-doc
Section: doc
Architecture: all
Replaces: kdelibs4-kde3-doc (<< 4:3.5.13)
Breaks: kdelibs4-kde3-doc (<< 4:3.5.13)
Provides: kdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-kde3-dbg (<< 4:3.5.13)
Breaks: kdelibs-kde3-dbg (<< 4:3.5.13)
Priority: extra
Conflicts: kdelibs4-trinity-dbg, kdelibs4c2-trinity-dbg, kdelibs4c2a-trinity-dbg
Depends: kdelibs4c2a-trinity (= ${Source-Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for kdelibs
 This package contains the debugging symbols associated with kdelibs.
 They will automatically be used by gdb for debugging kdelibs-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DWITH_LIBART="ON" -DWITH_LIBIDN="ON" -DWITH_TIFF="ON" -DWITH_JASPER="ON" -DWITH_OPENEXR="ON" -DWITH_AVAHI="ON" -DWITH_ASPELL="ON" -DWITH_HSPELL="ON" -DWITH_LZMA="ON" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/fileshareset	\
	opt/trinity/bin/kgrantpty	\
	opt/trinity/bin/kpac_dhcp_helper \
	opt/trinity/bin/start_kdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=kdelibs-trinity-dbg

DEB_DH_MAKESHLIBS_ARGS_kdelibs4c2a-trinity := -V'kdelibs4c2a-trinity (>= 4:3.5.8-1)'

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/kdelibs-data-trinity::
	install -p -D -m644 kded/applications.menu debian/kdelibs-data-trinity/opt/trinity/etc/xdg/menus/kde-applications.menu
	install -p -D -m644 debian/trinitylibs.conf debian/kdelibs-data-trinity/etc/ld.so.conf.d/trinitylibs.conf
#	uudecode debian/icons/aboutkde-kubuntu.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/apps/kdeui/pics/aboutkde.png

	uudecode debian/icons/cr16-device-system.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/devices/system.png
	uudecode debian/icons/cr22-device-system.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/devices/system.png
	uudecode debian/icons/cr32-device-system.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/devices/system.png
	uudecode debian/icons/cr48-device-system.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/devices/system.png
	uudecode debian/icons/cr64-device-system.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/64x64/devices/system.png
	uudecode debian/icons/cr128-device-system.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/128x128/devices/system.png
#	uudecode debian/icons/crsc-device-system.svgz.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/scalable/devices/system.svgz

	uudecode debian/icons/cr16-action-hibernate.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/hibernate.png
	uudecode debian/icons/cr22-action-hibernate.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/hibernate.png
	uudecode debian/icons/cr32-action-hibernate.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/hibernate.png
	uudecode debian/icons/cr48-action-hibernate.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/hibernate.png

	uudecode debian/icons/cr16-action-suspend.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/suspend.png
	uudecode debian/icons/cr22-action-suspend.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/suspend.png
	uudecode debian/icons/cr32-action-suspend.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/suspend.png
	uudecode debian/icons/cr48-action-suspend.png.uu -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/suspend.png

### 

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/kdelibs4-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/kdelibs4-trinity-dev.substvars
endif

common-install-prehook-impl::
	mkdir -p po
#	-XGETTEXT=/usr/bin/kde-xgettext EXTRACTATTR=/usr/bin/extractattr sh $(DEB_SRCDIR)/admin/cvs.sh extract-messages	
#	-for file in po/*pot; do \
#		sed "s/charset=CHARSET/charset=UTF-8/" -i $$file; \
#	done

#	msgcat --use-first kde.pot po/kdelibs.pot > kdelibs.pot-merged
#	mv -f kdelibs.pot-merged po/kdelibs.pot
	cp -Rp kde.pot po/kdelibs.pot

	# generate .po files for .desktop etc files
	if [ -f debian/kubuntu-desktop-i18n/createdesktop.pl ]; then \
	  sh debian/kubuntu-desktop-i18n/findfiles LIST; \
	  cat LIST; \
	  perl debian/kubuntu-desktop-i18n/createdesktop.pl --file-list=LIST --base-dir=. > desktop.$(DEB_SOURCE_PACKAGE).tmp; \
	  msguniq --to-code=UTF-8 --no-wrap -o desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp 2>/dev/null; \
	  python debian/kubuntu-desktop-i18n/msgsplit desktop.$(DEB_SOURCE_PACKAGE); \
	  mv desktop.$(DEB_SOURCE_PACKAGE) po/desktop_$(DEB_SOURCE_PACKAGE).pot; \
	  rm -f desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp; \
	  # add translation domain to files \
	  for file in `cat LIST`; do \
	    echo X-Ubuntu-Gettext-Domain=desktop_$(DEB_SOURCE_PACKAGE) >> $${file}; \
	  done; \
	  rm -f LIST; \
	fi

binary-install/kdelibs4c2a-trinity::
	mv debian/tmp/opt/trinity/bin/kcmshell debian/tmp/opt/trinity/bin/kcmshell.real
	install -p -D -m755 debian/tmp/opt/trinity/bin/kcmshell.real debian/kdelibs4c2a-trinity/opt/trinity/bin/kcmshell.real
	install -p -D -m755 debian/kcmshell debian/kdelibs4c2a-trinity/opt/trinity/bin/kcmshell
